> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Merchant Endpoint



## OpenAPI

````yaml /api-reference/openapi/foundation-portal.json get /api/v1/merchants/{merchant_id}
openapi: 3.1.0
info:
  title: Depict Foundation Portal API
  version: 1.0.0
  description: >-
    REST API behind the Depict Foundation merchant portal: merchants, products,
    collections, curation, metrics, analytics and search insights. All endpoints
    require an Auth0-issued bearer token.
servers:
  - url: ''
security: []
paths:
  /api/v1/merchants/{merchant_id}:
    get:
      tags:
        - Merchants
      summary: Get Merchant Endpoint
      operationId: get_merchant_endpoint_api_v1_merchants__merchant_id__get
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            title: Merchant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMerchantResult'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    GetMerchantResult:
      properties:
        id:
          type: string
          title: Id
        display_name:
          type: string
          title: Display Name
        default_market_id:
          type: string
          title: Default Market Id
        default_locale_id:
          type: string
          title: Default Locale Id
        base_currency:
          type: string
          title: Base Currency
        has_completed_onboarding:
          type: boolean
          title: Has Completed Onboarding
        markets:
          items:
            type: string
          type: array
          title: Markets
        locale_ids:
          items:
            type: string
          type: array
          title: Locale Ids
        product_status:
          anyOf:
            - $ref: '#/components/schemas/MerchantProductStatus'
            - type: 'null'
        can_edit_plp_rules:
          type: boolean
          title: Can Edit Plp Rules
          default: false
      type: object
      required:
        - id
        - display_name
        - default_market_id
        - default_locale_id
        - base_currency
        - has_completed_onboarding
        - markets
        - locale_ids
      title: GetMerchantResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MerchantProductStatus:
      properties:
        recommendations_state:
          type: string
          title: Recommendations State
          default: inactive
        search_state:
          type: string
          title: Search State
          default: inactive
        plp_state:
          type: string
          title: Plp State
          default: inactive
      type: object
      title: MerchantProductStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````